<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <artifactId>${pub.getCodeName()?lower_case}</artifactId>
    <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
    <version>${pub.getVersionString()?default("V0.0.1_alpha")}</version>
    <name>${pub.getCodeName()?lower_case?cap_first}</name>
    <description>${pub.getMemo()?default(pub.getName())}</description>
    <packaging>pom</packaging>

    <parent>
        <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
        <artifactId>${pub.getCodeName()?lower_case}-dependencies</artifactId>
        <version>${pub.getVersionString()?default("V0.0.1_alpha")}</version>
        <relativePath>${pub.getCodeName()?lower_case}-dependencies/pom.xml</relativePath>
    </parent>

    <#--  modules  -->
    <modules>
        <!-- dependencies -->
        <module>${pub.getCodeName()?lower_case}-dependencies</module>
        <!-- utils -->
        <module>${pub.getCodeName()?lower_case}-util</module>
        <!-- cores -->
        <module>${pub.getCodeName()?lower_case}-core</module>
        <!-- services -->
        <module>${pub.getCodeName()?lower_case}-provider</module>
        <!-- apps -->
        <module>${pub.getCodeName()?lower_case}-app</module>
        <!-- boot -->
        <module>${pub.getCodeName()?lower_case}-boot</module>
    </modules>


    <repositories>
		<repository>
			<id>aliyunmaven</id>
			<name>阿里云公共仓库</name>
			<url>https://maven.aliyun.com/repository/public/</url>
			<layout>default</layout>
			<releases>
				<enabled>true</enabled>
			</releases>
			<snapshots>
				<enabled>true</enabled>
				<updatePolicy>always</updatePolicy>
			</snapshots>
		</repository>
	</repositories>

</project>
