<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>${pub.getCodeName()?lower_case}</artifactId>
        <groupId>${pub.getPKGCodeName()?lower_case}</groupId>
        <version>${pub.getVersionString()?default("V0.0.1_alpha")}</version>
    </parent>

    <artifactId>${pub.getCodeName()?lower_case}-app</artifactId>
    <name>${pub.getCodeName()?lower_case?cap_first} Application</name>
    <description>${pub.getCodeName()?lower_case?cap_first} Application</description>
    <packaging>pom</packaging>

<#--  modules  -->
<#if sys.getAllPSApps()??>
    <modules>
    <#list sys.getAllPSApps() as app>
        <module>${pub.getCodeName()?lower_case}-app-${app.getPKGCodeName()?lower_case}</module>
    </#list>
    </modules>
</#if>

    <dependencies>
        <dependency>
		    <groupId>org.springframework.data</groupId>
			<artifactId>spring-data-commons</artifactId>
		</dependency>

        <#--<dependency>-->
            <#--<groupId>org.springframework.cloud</groupId>-->
            <#--<artifactId>spring-cloud-starter-security</artifactId>-->
            <#--<version>2.1.1.RELEASE</version>-->
        <#--</dependency>-->

        <dependency>
            <groupId>io.jsonwebtoken</groupId>
            <artifactId>jjwt</artifactId>
            <version>0.9.1</version>
        </dependency>

        <#--<dependency>-->
            <#--<groupId>org.springframework.security</groupId>-->
            <#--<artifactId>spring-security-cas</artifactId>-->
        <#--</dependency>-->

        <#--<dependency>-->
			<#--<groupId>${pub.getPKGCodeName()?lower_case}</groupId>-->
			<#--<artifactId>${pub.getCodeName()?lower_case}-util</artifactId>-->
			<#--<version>${r'${project.version}'}</version>-->
		<#--</dependency>-->

        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-netflix-zuul</artifactId>
        </dependency>

    </dependencies>

</project>
